window.iframeHandle = {
    // isIOS: navigator.userAgent.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/),
    isAndroid: navigator.userAgent.indexOf('Android') > -1 || navigator.userAgent.indexOf('Adr') > -1,
    /**
     * 与android交互方法
     * @method userToWebview
     * @return void
     * */
    postMessageAndroid: function (type,data) {
        if (!window.JSWhitePadInterface) return false;
        if (window.JSWhitePadInterface[type]) return window.JSWhitePadInterface[type](data);
        return console.error(`window.JSWhitePadInterface.${type} is not exist!`);
    },
    /**
     * 与ios交互方法
     * @method userToWebview
     * @return void
     * */
    postMessageIOS: function (type,data) {
        if (!window.webkit || !window.webkit.messageHandlers) return false;
        if (window.webkit.messageHandlers[type]) return window.webkit.messageHandlers[type].postMessage({data});
        return console.error(`window.webkit.messageHandlers.${type}.postMessage is not exist!`);
    },
    /**
     * 终端判断返回给webview
     * @method userToWebview
     * @param { object } data 传入数据
     * @return void
     * */
    userToWebview: function (type,data) {
        // 调用webview方法
        this.isAndroid ? this.postMessageAndroid(type,data) : this.postMessageIOS(type,data)
    }

}