window.iframeStatus = {
    iframeEle: undefined,
    /**
     * 初始化iframe
     * @method init
     * @param { object } data webview传入iframe数据
     * @param { id } string iframeID
     * @param { src } string iframeSRC地址
     * @return void
     * */
    init: function(id, src) {
        if (!this.iframeEle) {
            try{  
                this.iframeEle = document.createElement(`<iframe id=${id} src=${src}></iframe>`)
            }catch(e){ 
                this.iframeEle = document.createElement('iframe')
                this.iframeEle.id = id
                this.iframeEle.src = src
                this.iframeEle.style.position = 'absolute'
                this.iframeEle.style.top = '0px'
                this.iframeEle.style.left = '0px'
                this.iframeEle.style.width = '100%'
                this.iframeEle.style.height = '100%'
            }
        }
        document.body.appendChild(this.iframeEle)
        this.iframeLoaded(id) // 调用iframe加载完成事件
    },
    /**
     * iframe加载完成
     * @method iframeLoaded
     * @param { object } data webview传入iframe数据
     * @param { string } id iframeID
     * @return void
     * */
    iframeLoaded:function (id) {
        window.document.getElementById(id).onload = () => {
            // doSomeThing
            window.hasIframe = true

        }
    },
    /**
     * iframe切换
     * @method iframeChecked
     * @param { string } id iframeID
     * @param { string } src iframeSRC
     * @return void
     * */
    iframeChecked:function (id,src) {
        window.document.getElementById(id).src = src
        this.iframeLoaded(id)
    },
     /**
     * iframe销毁
     * @method destroy
     * @return void
     * */
    destroy: function() {
        document.body.removeChild(this.iframeEle)
        this.iframeEle = undefined
        window.hasIframe = false
    }
}
